From 873b8d6b7e2fb3cc61018f19f26426642c59cd16 Mon Sep 17 00:00:00 2001
Message-ID: <873b8d6b7e2fb3cc61018f19f26426642c59cd16.1726586563.git.pirata@gmail.com>
From: Javier Olaechea <pirata@gmail.com>
Date: Tue, 17 Sep 2024 10:17:17 -0500
Subject: [PATCH] gnu: Add emacs-flymake

* gnu/packages/emacs-xyz.scm (emacs-flymake): New variable.

Change-Id: I8dc5cd880301dfbf8492e7b998fb80f786dd27d8
---
 gnu/packages/emacs-xyz.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 9138fefa6d..cc9f7ca65b 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -1440,6 +1440,25 @@ (define-public emacs-project
 some utility functions, and commands using that infrastructure.")
     (license license:gpl3+)))
 
+(define-public emacs-flymake
+  (package
+    (name "emacs-flymake")
+    (version "1.3.7")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://elpa.gnu.org/packages/flymake-" version ".tar"))
+       (sha256
+        (base32 "15ikzdqyh77cgx94jaigfrrzfvwvpca8s2120gi82i9aaiypr7jl"))))
+    (build-system emacs-build-system)
+    (propagated-inputs (list emacs-eldoc emacs-project))
+    (home-page "https://elpa.gnu.org/packages/flymake.html")
+    (synopsis "A universal on-the-fly syntax checker")
+    (description
+     "Flymake collects diagnostic information for multiple sources,
+called backends, and visually annotates the relevant portions in the buffer.")
+    (license license:gpl3+)))
+
 ;; Package has no release.  Version is extracted from "Version:" keyword in
 ;; main file.
 (define-public emacs-project-mode-line-tag

base-commit: eed2fcc719e0d32ee914794adae7166067d2f9a8
-- 
2.45.2

